# -*- encoding : utf-8 -*-
class AdmissionsAdmin::JobApplicationsController < ApplicationController
  layout 'admissions'
  filter_access_to :show, attribute_check: true
  
  def show
    @log_entries = LogEntry.find :all, conditions: {
      applicant_id: @job_application.applicant.id,
      admission_id: @job_application.job.admission.id,
      group_id: @job_application.job.group.id
    }
    if I18n.locale == :no
      @possible_log_entries = [
        "Forsøkt ringt, tok ikke telefonen",
        "Ringt og tilbudt verv, venter på svar",
        "Ringt, venter fremdeles på svar",
        "Ringt og tilbudt verv, takket ja",
        "Ringt og tilbudt verv, takket nei",
        "Ringt og meddelt ingen tilbud om verv"
      ]
    elsif I18n.locale == :en
      @possible_log_entries = [
        "Called, no reply",
        "Called and offered position, awaiting reply",
        "Called, still waiting for reply",
        "Called and offered position, the applicant accepted",
        "Called and offered position, the applicant declined",
        "Called and notified the applicant of our rejection"
      ]
    end
  end
end
